APT-CDROM(8)

NOME
apt-cdrom - strumento APT per la gestione dei CD-ROM

SINOSSI

apt-cdrom [-rmfan] [-d=punto_mount_cdrom] [-o=stringa_config] [-c=file_config] {add | ident | {-v | --version} | {-h | --help}}

DESCRIZIONE

apt-cdrom è usato per aggiungere un nuovo CD-ROM alla lista delle fonti disponibili per APT. apt-cdrom si prende cura di determinare la struttura del disco e anche di correggere possibili errori di masterizzazione e di verificare i file indice.

Per aggiungere dei CD al sistema APT è necessario usare apt-cdrom, in quanto ciò non può essere fatto manualmente. Inoltre ogni disco in un insieme di più CD deve essere inserito e scansionato separatamente per tenere conto di possibili errori di masterizzazione.

A meno che non venga fornita l'opzione -h o --help, deve essere presente uno dei comandi seguenti.

add
    add è usato per aggiungere un nuovo disco alla lista delle fonti. Smonterà il device del CD-ROM, chiederà di inserire un disco e poi procederà alla sua scansione e copierà i file indice. Se il disco non ha una directory .disk/ corretta, verrà chiesto un titolo descrittivo.

    APT usa un identificativo per i CD-ROM per tenere traccia di quale disco è attualmente nel lettore e mantiene un database di questi identificativi nel file /var/lib/apt/cdroms.list.

ident
    Uno strumento di debug per riportare l'identità del disco corrente così come il nome dei file memorizzato.

OPZIONI

Tutte le opzioni a riga di comando si possono impostare usando il file di configurazione; le descrizioni indicano l'opzione da impostare. Per le opzioni booleane si può scavalcare il file di configurazione usando qualcosa come -f-, --no-f, -f=no o diverse altre varianti.

--no-auto-detect, --cdrom
    Non cercare di rilevare automaticamente il percorso del CD-ROM. Solitamente usato insieme all'opzione --cdrom. Voce di configurazione: Acquire::cdrom::AutoDetect.

-d, --cdrom
    Punto di mount; specifica la posizione in cui montare il CD-ROM. Questo punto di mount deve essere elencato nel file /etc/fstab e configurato correttamente. Voce di configurazione: Acquire::cdrom::mount.

-r, --rename
    Rinomina un disco; cambia l'etichetta di un disco o soppianta l'etichetta originale del disco. Questa opzione farà sì che apt-cdrom chieda una nuova etichetta. Voce di configurazione: APT::CDROM::Rename.

-m, --no-mount
    Non montare; impedisce ad apt-cdrom di montare e smontare il punto di mount. Voce di configurazione: APT::CDROM::NoMount.

-f, --fast
    Copia rapida; assume che i file dei pacchetti siano validi e non verifica ogni pacchetto. Questa opzione dovrebbe essere usata solo se apt-cdrom è stato già eseguito sul disco e non ha rilevato alcun errore. Voce di configurazione: APT::CDROM::Fast.

-a, --thorough
    Scansione approfondita dei file Package; questa opzione può essere necessaria con alcuni dischi delle vecchie Debian 1.1/1.2 in cui i file Package si trovano in posti inconsueti. La scansione dei CD richiederà molto più tempo, ma troverà tutti i file.

-n, --just-print, --recon, --no-act
    Nessun cambiamento; non cambia il file sources.list(5) e non scrive i file indice. Tuttavia ogni cosa è comunque verificata. Voce di configurazione: APT::CDROM::NoAct.

-h, --help
    Mostra un breve riassunto sull'uso.

-v, --version
    Mostra la versione del programma.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    File di configurazione; specifica un file di configurazione da usare. Il programma legge il file di configurazione predefinito e poi questo file di configurazione. Se è necessario modificare le impostazioni di configurazione prima che vengano analizzati i file di configurazione predefiniti, specificare un file con la variabile d'ambiente APT_CONFIG. Vedere apt.conf(5) per informazioni sulla sintassi.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--cli-version
    Requests a specific CLI version. This is a pattern that takes a MAJOR.MINOR version. You may omit the MINOR version, in which case the latest supported minor level will be used.

    Version tracks are presented as follows: The version 3.2 has equivalent versions 0.32, 1.22, and 2.12, implementing new features for their specified major versions.

    A special case is the X.9 version pattern: A version like 2.9 is followed by 3.0, but 2.10 follows directly on 2.8; given that we use odd version numbers as development series (2.9 is the 3.0 development series).

    This feature has been introduced in APT 3.1.10, and replaces the binary-specific configuration. You may use the APT::Version to similar effect on older binaries, for example, use -o APT::Version=2 to make apt(8) behave like the 2.x series.

    The default value is the current APT version for apt(8) and 0.(10 * major + minor) for the classic commands. The 0.X series is soft-deprecated and the other commands will roll over to the 2.x series in the future.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

VEDERE ANCHE

apt.conf(5), apt-get(8), sources.list(5)

DIAGNOSTICA

apt-cdrom restituisce zero in caso di funzionamento normale e il valore decimale 100 in caso di errore.

BUG

Pagina dei bug di APT[1]. Se si desidera segnalare un bug in APT, vedere /usr/share/doc/debian/bug-reporting.txt o il comando reportbug(1).

TRADUZIONE

Traduzione in italiano a cura del Team italiano di localizzazione di Debian <debian-l10n-italian@lists.debian.org>. In particolare hanno contribuito Eugenia Franzoni (2000), Hugh Hartmann (2000-2012), Gabriele Stilli (2012), Beatrice Torracca (2012, 2014, 2015).

Notare che questa versione tradotta del documento può contenere parti non tradotte. Ciò è voluto, per evitare di perdere contenuti quando la traduzione non è aggiornata rispetto all'originale.

AUTORI

Jason Gunthorpe

Team APT

NOTE

1.  Pagina dei bug di APT
    https://bugs.debian.org/src:apt